List DM Templates
curl --request GET \
--url https://www.catchthegoodones.com/api/v2/dm-templatesimport requests
url = "https://www.catchthegoodones.com/api/v2/dm-templates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.catchthegoodones.com/api/v2/dm-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"templates": [
{
"id": 1,
"name": "Intro message",
"messageBody": "Hi! I noticed you recently followed me. I'd love to connect.",
"createdAt": "2026-04-10T12:00:00.000Z",
"updatedAt": "2026-04-10T12:00:00.000Z"
}
]
}
DM Templates
List DM Templates
Returns all DM templates for the authenticated user
GET
/
api
/
v2
/
dm-templates
List DM Templates
Returns all DM templates for the authenticated user.
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer ctgo_your_api_key_here |
Example
curl https://www.catchthegoodones.com/api/v2/dm-templates \
-H "Authorization: Bearer ctgo_your_api_key_here"
Response
{
"templates": [
{
"id": 1,
"name": "Intro message",
"messageBody": "Hi! I noticed you recently followed me. I'd love to connect.",
"createdAt": "2026-04-10T12:00:00.000Z",
"updatedAt": "2026-04-10T12:00:00.000Z"
}
]
}
⌘I